Bug 1122060 (CVE-2014-4966, CVE-2014-4967)

Summary: CVE-2014-4966 CVE-2014-4967 ansible: multiple flaws
Product: [Other] Security Response Reporter: Vasyl Kaigorodov <vkaigoro>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: athmanem, kevin, kupo, maxim
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: ansible 1.6.7 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-05-12 07:04:33 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1122061, 1122062    
Bug Blocks:    

Description Vasyl Kaigorodov 2014-07-22 13:04:18 UTC
Ansible version 1.6.7 fixes 2 security issues.
More details could be found here:
http://www.mail-archive.com/ansible-project@googlegroups.com/msg07265.html
https://bugs.gentoo.org/show_bug.cgi?id=517770

This is the upstream commit with the fix:
https://github.com/ansible/ansible/commit/62a1295a3e08cb6c3e9f1b2a1e6e5dcaeab32527

Comment 1 Vasyl Kaigorodov 2014-07-22 13:04:40 UTC
Created ansible tracking bugs for this issue:

Affects: epel-all [bug 1122061]
Affects: fedora-all [bug 1122062]

Comment 2 Vincent Danen 2014-07-22 14:46:05 UTC
Note that 1.6.7 is currently in Fedora/EPEL testing:

https://admin.fedoraproject.org/updates/search/ansible-1.6.7

Comment 3 Fedora Update System 2014-08-07 15:26:48 UTC
ansible-1.6.10-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2014-08-07 15:36:08 UTC
ansible-1.6.10-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2014-08-29 19:41:30 UTC
ansible-1.7-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.